#loginVue {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1rem;
  pointer-events: auto;
  text-rendering: optimizeLegibility;
}

form {
  margin-block-end: 0;
  width: 100%;
}

section.panel {
  width: 100%;
  min-width: min-content;
  max-width: 440px;
  background-color: white;
  display: flex;
  position: relative;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  border: 1px solid gray;
  padding: 2rem 3rem 1rem;
  border-radius: 1rem;
}

section.panel > div {
  width: 100%;
  height: 100%;
  text-align: center;
}

section.panel h2 {
  font-weight: 400;
  letter-spacing: 1px;
  text-align: center;
}

section.panel button {
  text-decoration: none;
  border: none;
  outline: none;
  background-color: transparent;
  cursor: pointer;
}

section.panel .btn_close {
  position: absolute;
  top: 0.5rem;
  right: 1rem;
  font-size: 1.8rem;
}

section.panel .btn_back {
  position: absolute;
  top: 0.5rem;
  left: 1rem;
  font-size: 1.8rem;
}

.panel span.subtitle {
  color: var(--pwGray2);
  font-size: 1rem;
  text-align: center;
  display: block;
}

.panel span.policy {
  color: var(--pwGray2);
  font-size: 12px;
  letter-spacing: .5px;
}

.panel span.policy a {
  text-decoration: underline;
  color: var(--pwGray);
  text-underline-offset: 3px;
}

.panel .login_btns {
  display: flex;
  gap: 1rem;
  width: 100%;
  flex-direction: column;
  align-items: center;
  margin: 1rem 0;
}

section.panel .login_btns button {
  width: 100%;
  max-width: 320px;
  padding: .5rem 1rem;
  border-radius: 2rem;
  position: relative;
  border: 1px solid #cccccc;
  color: var(--pwGray);
  letter-spacing: 1.5px;
  transition: .3s border ease;
}

#appleid-signin.custom:hover,
section.panel .login_btns button:hover {
  border: 1px solid var(--pwGray2);
}

#appleid-signin.custom {
  border: 1px solid #cccccc;
  color: var(--pwGray);
  cursor: pointer;
  border-radius: 2rem;
  transition: .3s border ease;
}


.login_btns button svg {
  position: absolute;
  left: 12px;
  top: 50%;
  transform: translateY(-50%) scale(1.3);
  transform-origin: center;

}

.input_wrap {
  text-align: left;
  margin: .8rem 0;
}
 

.input_wrap label {
  margin-bottom: 3px;
  font-size: 1rem;
  font-weight: 600;
  text-rendering: optimizeLegibility;
}

.pwd_reset_link {
  text-align: left;
}

.pwd_reset_link a {
  text-decoration: underline;
  text-underline-offset: 3px;
  color: var(--pwGray);
  font-size: 1rem;
}

.panel .btn_action {
  display: block;
  width: 100%;
  padding: .5rem 1rem;
  border-radius: 2rem;
  position: relative;
  background-color: var(--pwBlue);
  color: white;
  margin: 1rem 0;
}

.panel .register_link {
  cursor: pointer;
  text-align: center;
  color: var(--pwBlue);
  text-decoration: underline;
  text-underline-offset: 3px;
  letter-spacing: .5px;
}

@media screen and (max-width: 768px) {
  
  section.panel {
    width: 90%;
    
  }
}


@media screen and (max-width: 450px) {
  
  section.panel {
    width: 100%;
    border: none;
    padding: 1rem;
  }


  section.panel .btn_back {
    left: 0;
    top: -1.5rem;

  }

  .login_btns button svg {
    left: 1rem;
  }
}

.slide-fade-enter-active,
.slide-fade-leave-active {
  display: none;
}
